Genealogy
List tree definitions
Company admin access is required. Writes require developer.update. Droplet installation tokens are not supported. This registry API does not place or move members. Default role trees cannot be removed or have their role cleared. The example uses illustrative fixture IDs. Substitute records visible to your authenticated company or member.
GET
/
api
/
company
/
v2026-10
/
genealogy
/
trees
List tree definitions
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/trees' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/trees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/trees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trees": [
{
"allow_multiple_positions": false,
"authority": "unconfigured",
"created_at": "2026-09-10T03:03:10Z",
"default_placement_rule": "under_enroller",
"external_integration_market_id": null,
"holding_tank_days": 0,
"id": "9b7310f6-6dac-5a77-9726-21c9fade457a",
"key": "enrollment",
"kind": "unilevel",
"leg_names": [],
"lock_version": 0,
"max_depth": 300,
"max_movement_levels": 0,
"movement_approval": "immediate",
"movement_window_days": 0,
"name": "Enrollment",
"owning_company_integration_id": null,
"role": "enrollment",
"updated_at": "2026-09-10T03:03:10Z",
"upstream_tree_ref": null,
"volume_key": null,
"volume_on_move": null
},
{
"allow_multiple_positions": false,
"authority": "unconfigured",
"created_at": "2026-09-10T03:03:10Z",
"default_placement_rule": "mirror_enrollment",
"external_integration_market_id": null,
"holding_tank_days": 0,
"id": "7096ad49-7117-53f6-8f7f-4805473d14c5",
"key": "placement",
"kind": "unilevel",
"leg_names": [],
"lock_version": 0,
"max_depth": 300,
"max_movement_levels": 0,
"movement_approval": "immediate",
"movement_window_days": 0,
"name": "Placement",
"owning_company_integration_id": null,
"role": "sponsor",
"updated_at": "2026-09-10T03:03:10Z",
"upstream_tree_ref": null,
"volume_key": null,
"volume_on_move": null
}
],
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:17Z"
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}⌘I
List tree definitions
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/trees' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/trees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/trees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trees": [
{
"allow_multiple_positions": false,
"authority": "unconfigured",
"created_at": "2026-09-10T03:03:10Z",
"default_placement_rule": "under_enroller",
"external_integration_market_id": null,
"holding_tank_days": 0,
"id": "9b7310f6-6dac-5a77-9726-21c9fade457a",
"key": "enrollment",
"kind": "unilevel",
"leg_names": [],
"lock_version": 0,
"max_depth": 300,
"max_movement_levels": 0,
"movement_approval": "immediate",
"movement_window_days": 0,
"name": "Enrollment",
"owning_company_integration_id": null,
"role": "enrollment",
"updated_at": "2026-09-10T03:03:10Z",
"upstream_tree_ref": null,
"volume_key": null,
"volume_on_move": null
},
{
"allow_multiple_positions": false,
"authority": "unconfigured",
"created_at": "2026-09-10T03:03:10Z",
"default_placement_rule": "mirror_enrollment",
"external_integration_market_id": null,
"holding_tank_days": 0,
"id": "7096ad49-7117-53f6-8f7f-4805473d14c5",
"key": "placement",
"kind": "unilevel",
"leg_names": [],
"lock_version": 0,
"max_depth": 300,
"max_movement_levels": 0,
"movement_approval": "immediate",
"movement_window_days": 0,
"name": "Placement",
"owning_company_integration_id": null,
"role": "sponsor",
"updated_at": "2026-09-10T03:03:10Z",
"upstream_tree_ref": null,
"volume_key": null,
"volume_on_move": null
}
],
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:17Z"
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}